import Head from "next/head";
import Script from "next/script";
import Image from "next/image";
import Header from "../components/header";

import { translation } from "../lib/translations";

import styles from "../styles/Home.module.css";
import { useState } from "react";
import { useRouter } from "next/router";
function _(text) {
  const { locale } = useRouter();
  if (translation[locale][text]) {
    return translation[locale][text];
  }
  return text;
}
export default function Home() {
  return (
    <>
      <Head>
        <title>much... | You Professional Business Card</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
        <link
          rel="stylesheet"
          type="text/css"
          href="/js/fullpage/fullpage.css"
        />
      </Head>
      <Header id="menu" />
      <div id="fullpage">
        <section id="hero-area" className="section bg-cover" style={{backgroundImage:"url('/images/bgs/old-era.jpg')"}}>
          <div className="old-era duration-500">
            <div className="container md:flex justify-evenly">
              <div className="w-full md:w-8/12 p-4">
                <h1 className="text-5xl text-yellow-900 font-bold drop-shadow-sm">
                  {_("Do You Know?")}
                </h1>
                <p className="w-full text-lg text-yellow-900 text-justify ltr:md:pr-48 rtl:md:pl-48">
                  <b className="font-bold">{_("Business Cards")}</b>
                  {_(
                    " first Appear was in"
                  )}
                  <b className="font-bold">{_(' 15th Century')}</b>
                  {_(', and untill now most of business men use them to introduce them-self !')}
                </p>
              </div>
              <div className="w-full md:w-4/12">
                <h1 className="text-center font-bold">{_('Old Paper Card')}</h1>
              <div className="old-card rounded-xl border border-gray-200   h-40 w-80 md:h-48 md:w-96 touch-pinch-zoom p-6 flex bg-cover shadow-inner" style={{backgroundImage:"url('/images/bgs/oldcardbg.jpg')"}}>
                <div>
                  <h2 className="text-md md:text-xl font-bold">{_("Jone Doe")}</h2>
                  <h4 className="text-sm md:text-md">{_("Sales Man")}</h4>
                  <h5 className="text-xs md:text-sm">{_("My Company")}</h5>
                </div>

                <div className="px-4">
                  <div className="text-end">LOGO</div>
                  <div className="py-4 md:py-6 mx-1  md:px-6">
                    <i className="fa fa-phone text-xs m-1 md:m-2"></i>
                    <h5 className="inline-block font-bold text-sm">+1234567890</h5>
                    <br />
                    <i className="fa fa-mobile text-xs m-1 md:m-2"></i>
                    <h5 className="inline-block font-bold text-sm">+1234567890</h5>
                    <br />
                    <i className="fas fa-envelope text-xs m-1 md:m-2"></i>
                    <h5 className="inline-block font-bold text-xs">jone@mycompany.com</h5>
                  </div>
                </div>
              </div>
              </div>
            </div>
          </div>
          
        </section>
        <section className="section bg-emerald-50 py-3"></section>
        <section className="section bg-emerald-50 py-3"></section>
        <section className="section bg-emerald-50 py-3"></section>
      </div>
      <Script
        type="text/javascript"
        src="/js/fullpage/fullpage.js"
        onLoad={() => {
          new fullpage("#fullpage", {
            menu: "#menu",
            anchors: ["home", "how-it-works", "products", "features"],
          });
        }}
      ></Script>
    </>
  );
}
